#
# spec file for package polkit
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           polkit
Summary:        PolicyKit Authorization Framework
Version:        0.99
Release:        5.6.1
License:        LGPLv2+
Url:            http://www.freedesktop.org/wiki/Software/PolicyKit
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Libraries
Source0:        http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libexpat-devel
BuildRequires:  pam-devel
Requires:       ConsoleKit
Requires:       dbus-1
Requires:       libpolkit0 = %{version}-%{release}

Patch10:        polkit-CVE-2011-1485-1.patch
Patch11:        polkit-CVE-2011-1485-2.patch
Patch12:        polkit-CVE-2011-1485-3.patch
Patch13:        polkit-CVE-2011-1485-4.patch
Patch14:        polkit-memleak.patch

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package devel
License:        LGPLv2+
Summary:        Development files for PolicyKit
Group:          Development/Libraries/C and C++
Requires:       %name = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel

%description devel
Development files for PolicyKit Authorization Framework.

%package doc
License:        LGPLv2+
Summary:        Development documentation for PolicyKit
Group:          Development/Libraries/C and C++
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description doc
Development documentation for PolicyKit Authorization Framework.

%package -n libpolkit0
License:        LGPLv2+
Summary:        Libraries required for polkit
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libpolkit0
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the libraries only.

%prep
%setup -q
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
export V=1
%configure \
  --with-os-type=suse \
  --enable-gtk-doc \
  --disable-static \
  --enable-introspection \
  --enable-examples \
  --libexecdir=%{_prefix}/lib/polkit-1
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.la
# For some reason, "smart" parts of the build are _sometimes_
# not smart enough to handle a 0700 directory. We set that back to
# the proper original value in the %file list
chmod 0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/polkit-1
%find_lang polkit-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_permissions
%verifyscript
%verify_permissions -e %{_bindir}/pkexec
%verify_permissions -e %{_prefix}/lib/polkit-1/polkit-agent-helper-1

%post -n libpolkit0 -p /sbin/ldconfig

%postun -n libpolkit0 -p /sbin/ldconfig

%files -n libpolkit0
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/Polkit-1.0.typelib

%files -f polkit-1.lang
%defattr(-,root,root,-)
%doc COPYING
%dir %{_libdir}/polkit-1
%dir %{_libdir}/polkit-1/extensions
%{_libdir}/polkit-1/extensions/*.so
%{_datadir}/man/man1/pkexec.1.gz
%{_datadir}/man/man1/pkaction.1.gz
%{_datadir}/man/man1/pkcheck.1.gz
%{_datadir}/man/man8/polkitd.8.gz
%{_datadir}/man/man8/polkit.8.gz
%{_datadir}/man/man8/pklocalauthority.8.gz
%dir %{_datadir}/dbus-1
%{_datadir}/dbus-1/system-services
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%dir %{_sysconfdir}/dbus-1
%dir %{_sysconfdir}/dbus-1/system.d
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%config(noreplace) %{_sysconfdir}/pam.d/polkit-1
%dir %{_sysconfdir}/polkit-1
%dir %{_sysconfdir}/polkit-1/nullbackend.conf.d
%config(noreplace) %{_sysconfdir}/polkit-1/nullbackend.conf.d/50-nullbackend.conf
%dir %{_sysconfdir}/polkit-1/localauthority.conf.d
%config(noreplace) %{_sysconfdir}/polkit-1/localauthority.conf.d/50-localauthority.conf
%{_bindir}/pkaction
%{_bindir}/pkcheck
%verify(not mode) %attr(4755,root,root) %{_bindir}/pkexec
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%verify(not mode) %attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%attr(0700,root,root) %dir %{_localstatedir}/lib/polkit-1

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_bindir}/pk-example-frobnicate
%{_datadir}/gir-1.0/*.gir
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*

%changelog
* Tue Apr 26 2011 kay.sievers@novell.com
- stat race condition (CVE-2011-1485) (bnc#688788)
- fix memleak (bnc#638784)
* Wed Nov 10 2010 coolo@novell.com
- fix file list
* Thu Sep 16 2010 vuntz@opensuse.org
- Update to version 0.99:
  + Remove duplicate definitions of enumeration types
  + Fix (correct) GCC warning about possibly-uninitialized variable
  + Fix another GCC uninitialized variable warning
  + fdo#29816: Install polkitagentenumtypes.h
- Drop polkit-install-missing-header.patch: fixed upstream.
* Thu Aug 26 2010 vuntz@opensuse.org
- Update to version 0.98:
  + Fix scanning of unix-process subjects
  + Add textual authentication agent and use it in pkexec(1)
  + Fix ConsoleKit interaction bug
  + pkexec: add --disable-internal-agent option
  + pkcheck: add --enable-internal-agent option
  + Fix wording in pkexec(1) man page
  + Various doc cleanups
- Changes from version 0.97:
  + Port to GDBus
  + Add shadow authentication support
  + Remove Lock Down functionality
  + fdo#26982: pkexec information disclosure vulnerability
  + Make polkitd accept --replace and gracefully handle SIGINT
  + Implement polkit_temporary_authorization_new_for_gvariant()
  + Make NameOwnerChanged a private impl detail of the interactive
    authority
  + Add a GPermission implementation
  + PolkitAuthority: Implement failable initialization
  + PolkitAuthority: Add g_return_if_fail() checks
  + Add g_return_if_fail() to all public API entry points
  + Use polkit_authority_get_sync() instead of deprecated
    polkit_authority_get
  + PolkitBackend: Don't export unneeded convenience API
  + Update GI annotations
  + Don't dist org.freedesktop.ConsoleKit.xml.
  + Properly reference headers
  + fdo#29051: Configuration reload on every query
- Drop pkexec-information-disclosure.patch: fixed upstream.
- Add polkit-install-missing-header.patch to install a header that
  should get installed.
- Remove eggdbus-devel BuildRequires.
- Build with introspection support: add gobject-introspection
  BuildRequires and pass --enable-introspection to configure.
- Fix groups of all packages to be valid groups.
* Mon Jun 28 2010 jengelh@medozas.de
- use %%_smp_mflags
* Fri Apr  9 2010 kay.sievers@novell.com
- fix pkexec information disclosure
  (fdo#26982, CVE-2010-0750, bnc#593959)
* Mon Jan 18 2010 dmueller@suse.de
- add baselibs.conf
* Mon Jan 18 2010 kay.sievers@novell.com
- new upstream release 0.96
  - Bug 25367 — Also read local authority configuration data from /etc
  - Run the open_session part of the PAM stack in pkexec(1)
  - Bug 25594 – System logging
  - Properly handle return value from getpwnam_r()
  - Fix error message when no authentication agent is available
  - Make pkexec(1) validate environment variables
  - Make pkexec(1) use the syslogging facilities
  - Save original cwd in pkexec(1) since it will change during the life-time
  - Complain on stderr, not stdout
  - Don't log authorization checks
* Wed Jan  6 2010 dmueller@suse.de
- update to 0.95:
  The major change this release is that the lockdown feature has
  been cleaned up in a way so it isn't specific to the local
  authority. See the NEWS files for more details.
* Wed Dec 16 2009 jengelh@medozas.de
- Package documentation as noarch
* Wed Aug 19 2009 vuntz@novell.com
- Add Requires on polkit to libpolkit0: all applications using
  libpolkit0 will really need polkit to be installed to work
  properly.
* Thu Aug 13 2009 kay.sievers@novell.com
- new upstream release 0.94
  - Allow unprivileged callers to check authorizations
  - Don't spawn man(1) from a setuid program
  - Add polkit.retains_authorization_after_challenge to authz result
  - Ensure all fds except stdin/stdout/stderr are closed after exec(2)
  - Be more careful when determining process start time
  - Remove temporary authorization when the subject it applies to vanishes
  - Generate GI gir and typelibs for libpolkit-gobject-1
- drop patches which are in the release now
- disable introspection
* Tue Aug 11 2009 kay.sievers@novell.com
- add upstream patches:
  polkit-close-stdfds.patch
  polkit-no-man-spawn.patch
  polkit-proc-stat-parse-fix.patch
- drop rpmlint patch
* Thu Aug  6 2009 meissner@suse.de
- check for the right binary in verify_permisisons
* Thu Jul 30 2009 coolo@novell.com
- disable suid bit for now to get software build on top
- split out libraries to follow shared library policy
* Tue Jul 21 2009 kay.sievers@novell.com
- update to version 0.93
* Sun Jul 19 2009 kay.sievers@novell.com
- initial import of polkit 0.92
